Subject: Re: [bug#34449] [PATCH] gnu: Add trydiffoscope.

From: Julien Lepiller <[email-masked]>
Date: Tue, 12 Feb 2019 10:34:49 +0100

Le 2019-02-12 09:16, Vagrant Cascadian a écrit :
> 
>> Iiuc, this is a client to connect to a service that runs diffoscope
>> for you. But we already have diffoscope, so what's the point?
> 
> Yes, that's the jist of it.  The main advantage is that it has a much
> smaller dependency chain locally.
> 
> I find it useful on some of the not-particularly-fast ARM systems I've
> been running GNU Guix, where storage may be limited or slow, and
> substitutes may not be available as often, and build times
> are... remarkable.
> 
> 
>> Also this looks like saass to me, so I think we should refrain from
>> adding it to guix.
> 
> It is essentially SaaSS.  The server-side is at least licensed under 
> the
> AGPL, if that mitigates concerns somewhat.
> 
> I'm not sure it supports it out of the box yet, but I suspect upstream
> would be amenable to patches to make it easy for people to run their 
> own
> "diffoscope" services.
> 
> 
>> What do you think?
> 
> I thought it was useful enough to be worth submitting, though I'd
> understand if it's deemed inappropriate for GNU Guix. Still learning 
> the
> ropes. :)
> 
> 
> live well,
>   vagrant

I'm not completely sure either, that's why I was asking for a second 
opinion ;)